io.netty.handler.codec.mqtt

## Class MqttMessageFactory

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageFactory

    public final class MqttMessageFactory
    extends Object

Utility class with factory methods to create different types of MQTT messages.

### Method Summary

All Methods Static Methods Concrete Methods
`static MqttMessage` `newInvalidMessage(MqttFixedHeader mqttFixedHeader, Object variableHeader, Throwable cause)`
`static MqttMessage` `newInvalidMessage(Throwable cause)`
`static MqttMessage` `newMessage(MqttFixedHeader mqttFixedHeader, Object variableHeader, Object payload)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newMessage

    public static MqttMessage newMessage(MqttFixedHeader mqttFixedHeader,
                                         Object variableHeader,
                                         Object payload)

#### newInvalidMessage

    public static MqttMessage newInvalidMessage(Throwable cause)

#### newInvalidMessage

    public static MqttMessage newInvalidMessage(MqttFixedHeader mqttFixedHeader,
                                                Object variableHeader,
                                                Throwable cause)